Bug 630078 (CVE-2010-2764) - CVE-2010-2764 Mozilla Information leak via XMLHttpRequest statusText (MFSA 2010-63)
Summary: CVE-2010-2764 Mozilla Information leak via XMLHttpRequest statusText (MFSA 20...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-2764
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-03 16:14 UTC by Josh Bressers
Modified: 2019-09-29 12:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-12 21:54:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0681 normal SHIPPED_LIVE Critical: firefox security update 2010-09-08 00:33:03 UTC

Description Josh Bressers 2010-09-03 16:14:28 UTC
Matt Haggard reported that the statusText property of an XMLHttpRequest
object is readable by the requestor even when the request is made across
origins. This status information reveals the presence of a web server and
could be used to gather information about servers on internal private
networks.

Comment 1 Vincent Danen 2010-09-07 23:34:32 UTC
This is now public:

http://www.mozilla.org/security/announce/2010/mfsa2010-63.html

Comment 2 errata-xmlrpc 2010-09-08 00:34:17 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0681 https://rhn.redhat.com/errata/RHSA-2010-0681.html


Note You need to log in before you can comment on or make changes to this bug.